Skip to main content
GET
/
v1
/
contracts
/
{contractId}
/
budgets
/
usage
Get Budget Usage
curl --request GET \
  --url https://api.monk.com/v1/contracts/{contractId}/budgets/usage \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "budgets": [
      {
        "index": 123,
        "label": "<string>",
        "eventPropertyKey": "<string>",
        "eventPropertyValue": "<string>",
        "meterId": "<string>",
        "maxCredits": 123,
        "maxCreditsCents": 123,
        "isExhausted": true,
        "consumedUnits": 123,
        "consumedCents": 123,
        "percentConsumed": 123
      }
    ],
    "contractId": "<string>",
    "walletMode": "credits",
    "queriedAt": "2023-11-07T05:31:56Z"
  }
}
Returns all budgets with real-time per-dimension consumption computed from ClickHouse. This is an expensive endpoint — it queries ClickHouse for each unique event property key. Use the list endpoint (GET /budgets) for cheap config reads. Scope: contracts:read

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

contractId
string
required

The unique identifier of the contract (UUID)

Response

Budget usage data

data
object